# Bashpodder

<a href="https://lincgeek.org/bashpodder/logos/bp3.png" >
  <img width="200" src="https://lincgeek.org/bashpodder/logos/bp3.png" alt="logo" />
</a>

- Confirmed working with HPR Feeds and [CCDN](https://repo.anhonesthost.net/HPR/hpr_documentation/wiki/Community-Content-Delivery-Network)
- [License](https://github.com/lincgeek/bashpodder/issues/2#issuecomment-364528984): [GPLv3](https://www.gnu.org/licenses/gpl-3.0.en.html)
- [Source Code on GitHub](https://github.com/lincgeek/bashpodder)

## Description

> BashPodder Was written and is maintained here by me (Linc) with the generous code contributions and great ideas of many of its users, some of whom have contributed modified scripts of their own. BashPodder is currently licensed under the GPL. BashPodder was written to be small and fast, and most importantly, to conform to the KISS rule (Keep It Simple Stupid). That way, anyone can add to and detract from the script to suit their own needs (and they are welcome to do so). BashPodder is listed in many places as a "Linux" podcatching client, and in fact, that is what I wrote it for initially, however, it should be noted that I have dozens of emails telling me how well it works on everything else, including but not limited to MaxOSX, Solaris, AIX, Net Open and FreeBSD, even windows and many other OS's I have forgotten I am sure.

> Bashpodder requires you have bash (but I have heard it runs fine under korn as well), wget, sed and xsltproc.

## How to install

1. Clone [bashpodder gothub repo](https://github.com/lincgeek/bashpodder)
1. Confirm that `sed`, `wget`, and `xsltproc` are installed.

##  Subscribing to HPR

Pick the [HPR feed](https://hackerpublicradio.org/syndication.html) you want to subscribe to.

Create and edit `podcast.log` and add the feed url on a new line

Allow execution `chmod +x ./bashpodder`

Run the bash script `./bashpodder`

## Playback

The script only downloads files for you and nothing else. 
It will create a [ISO8601 YYYY-MM-DD](https://en.wikipedia.org/wiki/ISO_8601) format directory structure. 
Other forks exists like [mashpodder](https://github.com/chessgriffin/mashpodder) that allow modification and customization.


## Bugs

#https://repo.anhonesthost.net/HPR/hpr_hub/issues/61
