# castget

- Confirmed working with HPR Feeds and [CCDN](https://repo.anhonesthost.net/HPR/hpr_documentation/wiki/Community-Content-Delivery-Network)
- [Source Code on GitHub](https://castget.johndal.com/)

## Description

```
# dnf info castget
Name         : castget
Version      : 2.0.1
Release      : 9.fc39
Architecture : x86_64
Size         : 123 k
Source       : castget-2.0.1-9.fc39.src.rpm
Repository   : @System
From repo    : fedora
Summary      : A command-line podcast downloader
URL          : https://castget.johndal.com/
License      : LGPLv2+
Description  : castget is a simple, command-line based RSS enclosure downloader. It is
             : primarily intended for automatic, unattended downloading of podcasts.
```

## How to install

The [home page](https://castget.johndal.com/) contains links to download unix like variants.

## Subcribing to HPR

Create and edit `$HOME/.castgetrc`

```
[Hacker_Public_Radio_hpr_rss_php]
spool=/path/to/my/podcasts/Hacker_Public_Radio_hpr_rss_php
url=https://www.hackerpublicradio.com/hpr_rss.php
id3contenttype=Podcast
```

Save the file and run using `castget --resume --verbose --progress-bar`

## Playback

The application only donloads files. You can use whatever player your like to play them.

