# gPodder

<a href="https://commons.wikimedia.org/wiki/File:GPodder_logo.svg" >
  <img width="200" src="https://upload.wikimedia.org/wikipedia/commons/c/c7/GPodder_logo.svg" alt="logo" />
</a>

- Confirmed working with HPR Feeds and [CCDN](https://repo.anhonesthost.net/HPR/hpr_documentation/wiki/Community-Content-Delivery-Network)
- [Source Code on GitHub](https://gpodder.github.io/)

## Description

![gPodder UI](podcatcher_gPodder.png "A screenshot of the gPodder UI")

```
# dnf info gpodder
Name         : gpodder
Version      : 3.11.4
Release      : 4.fc40
Architecture : noarch
Size         : 4.2 M
Source       : gpodder-3.11.4-4.fc40.src.rpm
Repository   : @System
From repo    : fedora
Summary      : Podcast receiver/catcher written in Python
URL          : http://gpodder.org
License      : GPL-2.0-or-later AND GPL-3.0-or-later AND LGPL-2.1-or-later AND LGPL-3.0-or-later AND ISC
Description  : gPodder is a Podcast receiver/catcher written in Python, using GTK.
             : It manages podcast feeds for you and automatically downloads all
             : podcasts from as many feeds as you like.
             : It also optionally supports syncing with ipods.
```
## How to install

The [home page](https://gpodder.github.io/) contains links to the Windows, macOS, Linux/BSD, and Others variants.

## Subcribing to HPR

Pick the [HPR feed](https://hackerpublicradio.org/syndication.html) you want to subscribe to.
Hold `Ctrl` and then press `L` to add a feed, or press _Subscribe > Add podcast via URL_.
It will then fetch the feed and allow you to decide which of the episodes to download.

## Playback

Selecting, and Right Clicking an downloaded episode will open an external player, eg [VLC](https://www.videolan.org/vlc/)
